import { Outlet } from 'umi';
import './index.less';
import { useSearchParams } from 'umi';
import { useEffect } from 'react';

export default function Layout() {
  const [searchParams] = useSearchParams();

  useEffect(() => {
    const token = searchParams.get('token');
    
    if(token) {
      localStorage.setItem('token', token);
    }
  }, [searchParams]);
  return (
    <Outlet />
  );
}
